kas help                   AFS Commands                kas help


NAME

   kas help -- show syntax of specified kas command(s) or list

                       functional description for all of them.


                                 +
   kas help [-topic <help string> ]  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

                           +
   kas h  [-t <help string> ]  [-h]

DESCRIPTION

   Displays the first line  (name  and  short  description)  of
   every  kas  command's  help  entry,  if  no  help  string is
   provided.  For each operation code specified with -topic, it
   outputs  the  entire  help  entry.    See the Output section
   below.

ARGUMENTS

   -topic
         specifies the operation code(s) for which syntax is to
         be provided.  If  the  issuer  omits  it,  the  output
         instead  provides  a  short  description  of  all  kas
         commands.

   -help prints the online help  for  this  command.    Do  not
         provide  any  other  arguments or flags with this one.
         See section 4.3  in  the  Reference  Manual  for  more
         details.

OUTPUT

   The  online  help entry for each kas command consists of two
   or three lines:

      - The first  line  names  the  command  and  briefly
        describes what it does

      - If  the  command  has aliases, they will appear on
        the next line

      - The final line, which begins with "Usage:",  lists
        the   command's   arguments   and   flags  in  the
        prescribed order.  Online  help  entries  use  the
        same  symbols  (brackets,  etc.)  as  the  command
        definitions in this manual.  For an explanation of
        their  meaning,  see  page  v  of the introductory
        About This Manual chapter.



EXAMPLE

   The  following  displays  the  online  help  entry  for  the
   kas setpassword command.

       % kas help setpassword
       kas setpassword: set a user's password
       aliases: sp
       Usage: kas setpassword -name <name of user> [-new_passwo
       <new password>] [-kvno <key version number>]
       [-admin_username <admin principal to use for authenticat
       [-password_for_admin <password>] [-cell <cell name>]
                                                          +
       [-servers <explicit list of authentication servers> ] [-

PRIVILEGE REQUIRED

   None.  No password will be prompted for.

MORE INFORMATION

   kas apropos
